searchData={"items":[{"type":"module","title":"SnappyImageDiff","doc":"","ref":"SnappyImageDiff.html"},{"type":"function","title":"SnappyImageDiff.diff/2","doc":"Compare two images and return a tuple with the result.\n\nAny differences will be written to a PNG file in the same directory as the\n`before` image with the suffix `-diff`.\n\nReturns `{:ok, :images_match}` if the images are identical.\n\nReturns `{:error, :dimension_mismatch}` if the images are different sizes.\n\nReturns `{:error, :different, score, diff_location}` if the images are different.","ref":"SnappyImageDiff.html#diff/2"},{"type":"function","title":"SnappyImageDiff.diff/3","doc":"Compare two images and return a tuple with the result.\n\nAny differences will be written to a PNG file the path specified by `output_path`.\n\nReturns `{:ok, :images_match}` if the images are identical.\n\nReturns `{:error, :dimension_mismatch}` if the images are different sizes.\n\nReturns `{:error, :different, score, diff_location}` if the images are different.","ref":"SnappyImageDiff.html#diff/3"},{"type":"function","title":"Examples - SnappyImageDiff.diff/3","doc":"iex> SnappyImageDiff.diff(\"test/fixtures/1a.png\", \"test/fixtures/1a.png\", \"some_destination.png\")\n    {:ok, :images_match}\n\n    iex> SnappyImageDiff.diff(\"test/fixtures/6a.png\", \"test/fixtures/6a_cropped.png\", \"some_destination.png\")\n    {:error, :dimension_mismatch}\n\n    iex> SnappyImageDiff.diff(\"test/fixtures/1a.png\", \"test/fixtures/1b.png\", \"test/fixtures/1a-diff\")\n    {:error, :different, 0.9833533452322089, \"test/fixtures/1a-diff.png\"}","ref":"SnappyImageDiff.html#diff/3-examples"},{"type":"function","title":"SnappyImageDiff.score/2","doc":"Compare two images and return a tuple with the result.\n\nReturns `{:ok, :images_match}` if the images are identical.\n\nReturns `{:error, :dimension_mismatch}` if the images are different sizes.\n\nReturns `{:error, :different, score, diff_location}` if the images are different.","ref":"SnappyImageDiff.html#score/2"},{"type":"function","title":"Examples - SnappyImageDiff.score/2","doc":"iex> SnappyImageDiff.score(\"test/fixtures/1a.png\", \"test/fixtures/1a.png\")\n    {:ok, :images_match}\n\n    iex> SnappyImageDiff.score(\"test/fixtures/6a.png\", \"test/fixtures/6a_cropped.png\")\n    {:error, :dimension_mismatch}\n\n    iex> SnappyImageDiff.score(\"test/fixtures/1a.png\", \"test/fixtures/1b.png\")\n    {:error, :different, 0.9833533452322089 }","ref":"SnappyImageDiff.html#score/2-examples"},{"type":"extras","title":"SnappyImageDiff","doc":"# SnappyImageDiff\n\nElixir wrapper for [image-compare](https://github.com/ChrisRega/image-compare).","ref":"readme.html"},{"type":"extras","title":"Installation - SnappyImageDiff","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `snappy_image_diff` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:snappy_image_diff, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - SnappyImageDiff","doc":"Provide SnappyImageDiff with two files to compare and an output destination for any diff\n\n```elixir\nSnappyImageDiff.compare(\"image1.png\", \"image2.png\", \"some_directory/diff.png\")\n```\n\nFor more detail, see the docs.","ref":"readme.html#usage"},{"type":"extras","title":"License - SnappyImageDiff","doc":"SnappyImageDiff is released under the MIT License. See the LICENSE file for further\ndetails.","ref":"readme.html#license"}],"content_type":"text/markdown"}